%global momorel 1

Summary: Fluxbox - an X11 Window manager
Name: fluxbox
Version: 1.1.0.1
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.fluxbox.org/
Provides: boxes_WM
BuildPreReq: libICE-devel, libSM-devel, libX11-devel, libXext-devel
BuildPreReq: libXft-devel, libXpm-devel, libXrandr-devel, libXrender-devel
BuildPreReq: freetype-devel
BuildPreReq: fontconfig-devel
BuildPreReq: expat-devel
BuildPreReq: imlib2-devel

Source0: http://dl.sourceforge.net/sourceforge/fluxbox/%{name}-%{version}.tar.bz2
Source1: session.fluxbox
Source2: solidbg-menu
Source3: momonga-menu
Source4: %{name}.desktop
NoSource: 0

Patch0: fluxbox-1.0.0-menu.patch
Patch1: fluxbox-1.0.0-gcc43.patch
Patch2: fluxbox-startfluxbox-pulseaudio.patch

%description
Fluxbox is yet another windowmanager for X.
It's based on the Blackbox 0.61.1 code. Fluxbox looks like blackbox and
handles styles, colors, window placement and similar thing exactly like
blackbox (100% theme/style compability).

So what's the difference between fluxbox and blackbox then?
The answer is: LOTS!
Here is a list of features that fluxbox already has, or is in the works...

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .menu
%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .pulseaudio

%build
autoreconf -fi
%configure --enable-nls
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/etc/X11/xinit/session.d
install -m 644 %{SOURCE1} %{buildroot}/etc/X11/xinit/session.d/fluxbox
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/fluxbox/solidbg-menu
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/fluxbox/momonga-menu

# install gdm session support
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m 755 %{SOURCE4} %{buildroot}%{_datadir}/xsessions/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%doc INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/fluxbox
%{_datadir}/xsessions/fluxbox.desktop
%config (missingok) /etc/X11/xinit/session.d/fluxbox

%changelog
* Sat Sep 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0.1-1m)
- update to 1.1.0.1
- change URL
- fix License

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-7m)
- rebuild against gcc43

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-6m)
- update fluxbox-startfluxbox-pulseaudio.patch

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-5m)
- revise fluxbox-startfluxbox-pulseaudio.patch

* Fri Mar  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-4m)
- import fluxbox-startfluxbox-pulseaudio.patch from Fedora

* Tue Feb 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-3m)
- no %%NoSource
- autoreconf again

* Mon Nov 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-2m)
- added a patch for gcc43

* Wed Oct 31 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Thu Aug 16 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-0.3.1m)
- update to 1.0rc3
- remove unused patches

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0-0.2.2m)
- rebuild against expat-2.0.0-1m

* Sat Jul  8  2006 kourin <kourin@momonga-linux.org>
- (1.0-0.2.1m)
- update to 1.0rc2

* Fri Jun 16  2006 kourin <kourin@momonga-linux.org>
- (1.0-0.1.1m)
- update to 1.0rc

* Thu Jun  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.15-3m)
- import fluxbox.desktop from Fedora Extras devel

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.15-2m)
- revised installdir

* Wed Mar 22 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.15-1m)
- update 0.9.15
- use gcc-4.1

* Sun Feb 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.14-3m)
- use gcc_3_2

* Fri Dec 16 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.9.14-2m)
- revise regex-replace target file. (bsetroot -> fbsetroot)

* Thu Dec 15 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.9.14-1m)
- update to 0.9.14

* Mon Jul  4 2005 kourin <kourin@rinn.ne.jp>
- (0.9.13-1m)
- update to 0.9.13

* Wed Dec 15 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.11-1m)
- update to 0.9.11

* Tue Nov 16 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.10-5m)
- import fluxbox-0.9.10-make-pretty-eye-candy-work.patch from Gentoo (Window raising with Fluxbox not working with composite extension, freedesktop.org/bugzilla #1264)

* Fri Nov 12 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.9.10-4m)
- add patch4

* Thu Nov 11 2004 TAKAHASHI Tamotsu <tamo>
- (0.9.10-3m)
- use gcc-3.2 (BTS momongaja:82)
 ("free(): invalid pointer" error occurs with gcc-3.4.2)
 ("corrupted double-linked list" with gcc-3.4.3)

* Thu Aug 19 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.9.10-2m)
- rebuild against gcc-c++-3.4.1

* Wed Aug 8 2004 kourin <kourin@momonga-linux.org>
- (0.9.10-1m)
- ver up

* Sat Jun 12 2004 kourin <kourin@momonga-linux.org>
- (0.9.9-1m)
- ver up

* Mon Jan 19 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.8-2m)
- refine menukey patch
- add rootmenu-pos patch

* Fri Jan 16 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.8-1m)
- ver up

* Fri Jan  9 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-4m)
- add windowmenu patch
- add menukey-ex patch

* Wed Jan  7 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-3m)
- refine menukey patch

* Mon Jan  5 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-2m)
- add geom patch
- add menukey patch

* Sun Jan  4 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-1m)
- ver up

* Tue Jan  1 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.6-1m)
- ver up

* Mon Jul 21 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.14-7m)
- remove no-utf.patch. we already have Xutf* functions

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.14-6m)
- rebuild against for XFree86-4.3.0

* Tue Mar 18 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-5m)
- hide menu before style is changed.

* Sat Mar 08 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.14-4m)
- re-add transient-loop.patch to fix a trouble
- using Mozilla with XIM (OnTheSpot Style)

* Wed Dec 11 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-3m)
- apply grouping patch

* Tue Dec 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-2m)
- fix remember patch's bug.

* Tue Dec 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-1m)
- ver up

* Mon Dec  9 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-4m)
- fix in AA patch.(drawing tab text)

* Thu Dec  6 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-3m)
- apply famao's AA patch

* Thu Dec  5 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-2m)
- use Xft2
- AA mo OK desu.

* Mon Dec  2 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-1m)
- ver up

* Wed Oct 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-10m)
- apply famao's transient-loop patch

* Wed Oct  2 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-9m)
- apply unofficial remember patch

* Fri Sep 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-8m)
- modified fluxbox-generate_menu
- remove '-f' option (fluxbox-initbg,fluxbox-setbg)

* Wed Sep 25 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-7m)
- modified of background initialization

* Tue Sep 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-6m)
- I modified default menu for selectable background.

* Tue Sep 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-5m)
- a little modified default menu.

* Mon Sep 23 2002 Kenta MURATA <muraken2@nifty.com>
- (0.1.12-4m)
- default menu.

* Sat Sep 21 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-3m)
- fix calculation of position and geometry window size

* Mon Sep 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-2m)
- separete themes

* Sun Sep 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-1m)
- update to 0.1.12

* Tue Sep 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-5m)
- apply bugfix2.patch

* Tue Sep 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-4m)
- apply bugfix1.patch

* Sun Sep  8 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-3m)
- apply remember_final.patch

* Sat Sep  7 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-2m)
- apply workspace_edit.patch and iconic_sendto.patch

* Wed Sep  4 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-1m)
- update to 0.1.11

* Mon Aug 12 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.10-6m)
- fix fluxbox-0.1.10-remember_final.patch

* Mon Aug 12 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.10-5m)
- apply fluxbox-0.1.10-remember_final.patch from Fluxbox-users-ML
  (see http://www.geocrawler.com/lists/3/SourceForge/18606/0/9260267/ )

* Mon Jul 22 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-4m)
- add momonga theme

* Fri Jul 19 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-3m)
- return of the famao's focus-patch

* Tue Jul 16 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-2m)
- fluxbox-generate_menu generates Japanese menu

* Sun Jul 14 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-1m)
- ver up

* Thu Jul 11 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.9-9m)
- apply fluxbox-0.1.9-transient.patch from Fluxbox-users-ML

* Tue Jun  4 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.9-8k)
- apply bugfix patch1 & 2

* Tue May 28 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-6k)
- menu bullets are shown even when highlighted

* Sun May 26 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-4k)
- keyboard menu

* Sat May 25 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-2k)
- ver up

* Wed May 22 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-20k)
- fixed strange japanese menu labels

* Sat May 18 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.1.8-18k)
- chmod 644 bomb_fractal style

* Thu May  9 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-16k)
- apply famao's focus patch
- remove kinput2 patch because it conflicts with focus patch.

* Fri May 03 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-14k)
- apply fluxbox-0.1.8-bugfix2.patch

* Mon Apr 29 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-12k)
- now you can operate menus by keyboard.

* Sat Apr 27 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-10k)
- apply fluxbox-0.1.8-bugfix1.patch
- remove some patch

* Thu Apr 25 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-8k)
- s/hogebox/boxes_WM/g

* Wed Apr 24 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-6k)
- Add Provides: hogebox

* Wed Apr 24 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-4k)
- irewasure: menu.ja_JP

* Tue Apr 23 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-2k)
- ver up.

* Wed Mar  6 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.7-8k)
- add new option: skipStuckWindows
- doc includes COPYING instead of LICENSE.

* Wed Mar  6 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.7-6k)
- mv 2 styles file form style to styles

* Wed Mar  6 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.7-4k)
- add some themes
- remove menu patch
- add KDE & GNOME support

* Tue Mar  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.1.7-2k)
- update to 0.1.7

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.1.6-12k)
- add BuildPreReq: autoconf >= 2.52-8k

* Fri Jan 25 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-10k)
  ........

* Thu Jan 24 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-8k)
  ....

* Thu Jan 17 2002 Shingo Akagaki <dora@kondara.org>
- (0.1.6-6k)
- autoconf 1.5

* Tue Jan 15 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-4k)
  applied official patch
  export LANG at nls data building.

* Tue Jan 15 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-2k)
  update to 0.1.6

* Thu Dec 27 2001 Tsutomu Yasuda <tom@kondara.org>
- (0.1.5-6k)
  mouse wheel supported

* Wed Dec 17 2001 Tsutomu Yasuda <tom@kondara.org>
- (0.1.5-2k)
  pakuri
